package com.zm.order.tool.server.message;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * @Description 订单索引消息
 * @Author: ph
 * @Date: 2019/12/5 11:47
 */
public class OrderIndexMessage implements Serializable {

    private static final long serialVersionUID = 519104703970929045L;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 订单号
     */
    private String sourceNo;

    /**
     * 操作类型
     */
    private Integer operateType;


    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getOperateType() {
        return operateType;
    }

    public void setOperateType(Integer operateType) {
        this.operateType = operateType;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
